import configparser


class ConfigureReader(object):
    def __init__(self):
        self.config = configparser.ConfigParser()
        self.config.read('ConfigFile.ini')

    def getImageWidth(self):
        return int(self.config['DEFAULT']['ImageWidth'])

    def getimageHeight(self):
        return int(self.config['DEFAULT']['ImageHeight'])

    def getProjectorDistance(self):
        return float(self.config['DEFAULT']['ProjectorDistance'])

    def getProjectorImageWidth(self):
        return float(self.config['DEFAULT']['ProjectorImageWidth'])

    def getGamma(self):
        return float(self.config['DEFAULT']['ImageGamma'])


    def getImageLeftPath(self):
        return self.config['DEFAULT']['ImageLeftPath']

    def getImageRightPath(self):
        return self.config['DEFAULT']['ImageRightPath']

    def isImageLeft(self):
        if (self.getImageLeftPath == "Left.jpg"):
            return True
        else:
            return False