from configure_reader import *
import cv2 as cv
import numpy as np


class ImageReader(object):
    def __init__(self):

        self.__configureReader = None
        self.ImageLeftPath = ConfigureReader.getImageLeftPath
        self.ImageRightPath = ConfigureReader.getImageRightPath
    
    def getImage(self):
        imageLeft = np.array(cv.imread(self.ImageLeftPath))/255
        imageRight = np.array(cv.imread(self.ImageRightPath))/255
        return imageLeft, imageRight

